package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.system.SceneImportPageParam;
import api.common.pojo.po.system.SceneImportPO;
import org.apache.ibatis.annotations.*;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SceneImportMapper {

    List<SceneImportPO> getSceneImporPagetList(SceneImportPageParam po);

    List<SceneImportPO> checkName(SceneImportPO po);

    void insert(SceneImportPO po);

    void update(SceneImportPO po);

    void updateStatus(SceneImportPO po);

    void updateInfo(SceneImportPO po);

    SceneImportPO querySceneImportByTaskId(String id);

    void deleteImportTask(SceneImportPO po);

}
